patchutils (0.3.4-3) unstable; urgency=medium

  * Update homepage location (closes: #889716).
  * Don't move espdiff under /usr/games/ (closes: #962099).
  * Switch to short debhelper rules format.
  * Update copyright file.
  * Update debhelper level to 12:
    - remove dh-autoreconf build dependency.
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 03 Jun 2020 16:28:42 +0200

patchutils (0.3.4-2) unstable; urgency=low

  * Add gawk to Build-Depends.
  * Update Standards-Version to 3.9.8 .

  [ Reiner Herrmann <reiner@reiner-h.de> ]
  * Make the build reproducible (closes: #841783).
  * Add patch for don't pass error message directly as format string to
    error().

  [ Niels Thykier <niels@thykier.net> ]
  * Use dh_auto_configure instead of direct call of configure.
  * Drop the "cross-build" guard around the test.

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Drop rpm from Build-Depends as gendiff tests work without gendiff now
    (closes: #794592).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 23 Oct 2016 15:36:30 +0200

patchutils (0.3.4-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.6 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 03 May 2015 10:10:59 +0000

patchutils (0.3.3-1) unstable; urgency=low

  * New upstream release which includes fix-testsuite patch, thus removed.
  * Update watch file.

  [ Manuel A. Fernandez Montecelo <mafm@debian.org> ]
  * Bootstrap of or1k, honor DEB_BUILD_OPTIONS "nocheck" (closes: #744543).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 13 Apr 2014 23:41:53 +0200

patchutils (0.3.2-3) unstable; urgency=low

  * New maintainer (closes: #728665).
  * Update Standards-Version to 3.9.5 .

  [ Eleanor Chen <chenyueg@gmail.com> ]
  * Only do check when not being cross compiled (closes: #719239).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 04 Nov 2013 13:12:30 +0000

patchutils (0.3.2-2) unstable; urgency=low

  * Use dh-autoreconf to refresh autotools files. Closes: #710931.
    Thanks to Colin Watson for the patch.
  * Fix editdiff.1. Closes: #668422.
  * Bump to dh 9.

 -- Christoph Berg <myon@debian.org>  Mon, 17 Jun 2013 15:43:41 +0200

patchutils (0.3.2-1.1) unstable; urgency=low

  * NMU with maintainer approval
  * Set patchutils as Multi-Arch: foreign, Closes: 650506

 -- Riku Voipio <riku.voipio@linaro.org>  Mon, 16 Jan 2012 13:33:34 +0200

patchutils (0.3.2-1) unstable; urgency=low

  * New upstream version.
    + filterdiff cleans up tempfile left behind with -z option.
      Closes: #538715
    + all grepdiff options undocumented in manpage. Closes: #544746
    + lsdiff -z nonexistent.diff.gz does fail. Closes: #607612
  * Convert to 3.0 (quilt) to use upstream's bz2 file.
  * Enable test suite.
    + Add rpm to Build-Depends because we need gendiff.
  * Force make -j1 as the Makefile builds some stuff twice otherwise.

 -- Christoph Berg <myon@debian.org>  Sat, 12 Feb 2011 12:27:58 +0100

patchutils (0.3.1-2) unstable; urgency=low

  * Remove Conflicts/Replaces/Provides: extractdiff, interdiff.
    Eight years should be a comfortable grace period.
  * Mention editdiff in description. (Closes: #520518)
  * Added 'posixness_fix' patch as a work around for a POSIX
    incompatibility. By Marc Dequènes. (Closes: #530455)

 -- Christoph Berg <myon@debian.org>  Tue, 26 May 2009 21:39:03 +0200

patchutils (0.3.1-1) unstable; urgency=low

  * New upstream release.
    + All utils: Honor TMPDIR. (Closes: #306921)
    + All utils: --long options for all options. (Closes: #440241)
    + filterdiff: Separate --add{old,new}prefix settings. (Closes: #433831)
    + lsdiff: -z doc patch went upstream.
    + rediff: Doesn't segfault on deleted hunks but reports error.
      (Closes: #305828, #470040)
    + rediff: Keep -p comments. (Closes: #468486)
    + unwrapdiff: Fix typo in manpage. (Closes: #512217)

 -- Christoph Berg <myon@debian.org>  Mon, 26 Jan 2009 10:39:04 +0100

patchutils (0.3.0-1) unstable; urgency=low

  * New upstream version.
    + filterdiff reads exclusion list from file. (Closes: #264439)
    + filterdiff --clean unconditionally strips non-diff stuff.
      (Closes: #323169)
  * Bump DH level to 7.
  * Use quilt, and build-depend on automake as we patch Makefile.am.
  * Document lsdiff -z, thanks Jari Aalto. (Closes: #465985)
  * Update watch file to ignore .sig files, thanks Charles Plessy.
    (Closes: #512163)

 -- Christoph Berg <myon@debian.org>  Sun, 18 Jan 2009 12:48:06 +0100

patchutils (0.2.31-4) unstable; urgency=low

  * Move espdiff to /usr/games (Closes: #402976).

 -- Christoph Berg <myon@debian.org>  Wed, 14 Feb 2007 19:02:51 +0100

patchutils (0.2.31-3) unstable; urgency=low

  * New maintainer (Closes: #349324).
  * Update copyright.
  * Add homepage to Description, write watch file.

 -- Christoph Berg <myon@debian.org>  Sun, 22 Jan 2006 14:29:20 +0100

patchutils (0.2.31-2) unstable; urgency=low

  * Orphaned.

 -- Michael Fedrowitz <michaelf@debian.org>  Sun, 22 Jan 2006 11:41:01 +0100

patchutils (0.2.31-1) unstable; urgency=low

  * New upstream release:
    - splitdiff now uses %03d to generate filenames. (Closes: #282017)
    - Typo fix in fixcvsdiff(1). (Closes: #299310)
    - splitdiff now calls lsdiff with correct arguments. (Closes: #306869)
    - Doesn't use PATH_MAX anymore. (Closes: #308316)
  * Standards-Version 3.6.2 (no changes required).

 -- Michael Fedrowitz <michaelf@debian.org>  Sat, 18 Jun 2005 16:53:46 +0200

patchutils (0.2.30-1) unstable; urgency=low

  * New upstream release:
    - Really fixes missing newline handling. (Closes: #248493)

 -- Michael Fedrowitz <michaelf@debian.org>  Fri, 23 Jul 2004 19:59:46 +0200

patchutils (0.2.29-1) unstable; urgency=low

  * New upstream release:
    - Correctly handles missing newline at EOF again. (Closes: #240406)

 -- Michael Fedrowitz <michaelf@debian.org>  Mon,  5 Apr 2004 19:40:50 +0200

patchutils (0.2.28-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fedrowitz <michaelf@debian.org>  Fri, 26 Mar 2004 21:28:46 +0100

patchutils (0.2.27-1) unstable; urgency=low

  * New upstream release
    - Correctly handles null bytes in patches. (Closes: #226960)

 -- Michael Fedrowitz <michaelf@debian.org>  Fri, 27 Feb 2004 20:35:41 +0100

patchutils (0.2.26-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fedrowitz <michaelf@debian.org>  Mon, 12 Jan 2004 19:31:07 +0100

patchutils (0.2.25-1) unstable; urgency=low

  * New upstream release:
    - splitdiff no longer puts diff lines into the wrong file.
      (Closes: #223595)
    - splitdiff now offers an option to name the resulting diffs after the
      patched file's name (like diffsplit). (Closes: #215870)
  * Standards-Version 3.6.1 (no changes required).

 -- Michael Fedrowitz <michaelf@debian.org>  Mon, 15 Dec 2003 21:00:42 +0100

patchutils (0.2.24-1) unstable; urgency=low

  * New upstream release:
    - Fixes typo in combinediff manpage. (Closes: #198068)
  * Standards-Version 3.6.0 (no changes required).

 -- Michael Fedrowitz <michaelf@debian.org>  Fri, 25 Jul 2003 22:57:44 +0200

patchutils (0.2.23-1) unstable; urgency=low

  * New upstream release:
    - editdiff now preserves the edited file when rediff fails.
      (Closes: #185345)
    - interdiff now prints a warning if a non-empty input file contains no
      patch. (Closes: #187767)
  * Standards-Version 3.5.10 (no changes required).
  * Remove emacs vars from changelog.

 -- Michael Fedrowitz <michaelf@debian.org>  Thu,  5 Jun 2003 19:10:03 +0200

patchutils (0.2.22-1) unstable; urgency=low

  * New upstream release.
  * Back out editdiff patch, since upstream configure now knows about
    sensible-editor.

 -- Michael Fedrowitz <michaelf@debian.org>  Sun,  9 Mar 2003 15:16:51 +0100

patchutils (0.2.21-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fedrowitz <michaelf@debian.org>  Sat, 22 Feb 2003 18:59:55 +0100

patchutils (0.2.20-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fedrowitz <michaelf@debian.org>  Mon,  3 Feb 2003 16:37:07 +0100

patchutils (0.2.19-1) unstable; urgency=low

  * New upstream release

 -- Michael Fedrowitz <michaelf@debian.org>  Thu, 23 Jan 2003 20:08:03 +0100

patchutils (0.2.18-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version 3.5.8 (no changes required).

 -- Michael Fedrowitz <michaelf@debian.org>  Tue, 17 Dec 2002 16:39:46 +0100

patchutils (0.2.17-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version 3.5.7:
    - Support DEB_BUILD_OPTIONS noopt instead of debug.
    - Always build with -g.
    - Build depend on debhelper (>= 4.1.0) to get rid of /usr/doc link.

 -- Michael Fedrowitz <michaelf@debian.org>  Wed, 11 Sep 2002 20:19:10 +0200

patchutils (0.2.16-1) unstable; urgency=low

  * New upstream release.
  * Use debhelper v4.
  * Support DEB_BUILD_GNU_TYPE and DEB_HOST_GNU_TYPE.
  * Minor fixes to copyright file.

 -- Michael Fedrowitz <michaelf@debian.org>  Fri, 16 Aug 2002 10:34:55 +0200

patchutils (0.2.15-1) unstable; urgency=low

  * New upstream release
  * Remove editdiff.1 since editdiff is now adequately documented by
    rediff.1.

 -- Michael Fedrowitz <michaelf@debian.org>  Wed, 10 Jul 2002 19:06:45 +0200

patchutils (0.2.14-1) unstable; urgency=low

  * New upstream release.
  * Patch editdiff to use sensible-editor.

 -- Michael Fedrowitz <michaelf@debian.org>  Sat, 18 May 2002 23:15:52 +0200

patchutils (0.2.13-1) unstable; urgency=low

  * New upstream release.
  * The 'make check' accidently got lost in a previous upload. Let's make
    this official and drop the rpm build-dep (which should make life easier
    for the BSD folks). (closes: #145343)

 -- Michael Fedrowitz <michaelf@debian.org>  Mon, 13 May 2002 23:37:04 +0200

patchutils (0.2.12-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fedrowitz <michaelf@debian.org>  Sat, 20 Apr 2002 10:21:32 +0200

patchutils (0.2.11-2) unstable; urgency=low

  * Depend on debianutils (>= 1.16) for mktemp -d (used by editdiff).
    (closes: #139540)

 -- Michael Fedrowitz <michaelf@debian.org>  Fri, 22 Mar 2002 23:36:05 +0100

patchutils (0.2.11-1) unstable; urgency=low

  * New upstream release.
  * Readded dh_perl call which had got lost somehow.

 -- Michael Fedrowitz <michaelf@debian.org>  Thu, 14 Mar 2002 11:45:30 +0100

patchutils (0.2.10-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fedrowitz <michaelf@debian.org>  Mon,  4 Mar 2002 19:58:33 +0100

patchutils (0.2.9-1) unstable; urgency=low

  * New upstream release.
  * Added a little editdiff(1) manpage. (closes: #134960)
  * Don't build with -g by default and support DEB_BUILD_OPTIONS.

 -- Michael Fedrowitz <michaelf@debian.org>  Mon, 25 Feb 2002 15:20:04 +0100

patchutils (0.2.8-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fedrowitz <michaelf@debian.org>  Thu, 31 Jan 2002 19:19:14 +0100

patchutils (0.2.7-3) unstable; urgency=low

  * New maintainer. (closes: #130836)
  * Use rediff manpage for editdiff, too.
  * Standards-Version 3.5.6.

 -- Michael Fedrowitz <michaelf@debian.org>  Sat, 26 Jan 2002 16:40:42 +0100

patchutils (0.2.7-2) unstable; urgency=low

  * Orphaned this package.

 -- Adrian Bunk <bunk@fs.tum.de>  Fri, 25 Jan 2002 13:20:18 +0100

patchutils (0.2.7-1) unstable; urgency=high

  * New upstream release.
    - The lsdiff man page no longer has the command 'rediff' in
      the synopsis section. (closes: #126673)

 -- Adrian Bunk <bunk@fs.tum.de>  Thu,  3 Jan 2002 12:20:29 +0100

patchutils (0.2.5-2) unstable; urgency=high

  * Added the missing build dependency on rpm (needed for
    "make check"). (closes: #122268)

 -- Adrian Bunk <bunk@fs.tum.de>  Mon,  3 Dec 2001 16:08:21 +0100

patchutils (0.2.5-1) unstable; urgency=low

  * New upstream release.

 -- Adrian Bunk <bunk@fs.tum.de>  Mon,  3 Dec 2001 08:48:41 +0100

patchutils (0.2.4-2) unstable; urgency=low

  * Updated the location of the upstream sources in
    debian/copyright.

 -- Adrian Bunk <bunk@fs.tum.de>  Sat,  1 Dec 2001 20:13:39 +0100

patchutils (0.2.4-1) unstable; urgency=high

  * New upstream release. (closes: #121112)
  * Added a call to dh_perl to debian/rules to get the needed
    dependency on perl. (closes: #121525)

 -- Adrian Bunk <bunk@fs.tum.de>  Thu, 29 Nov 2001 09:52:15 +0100

patchutils (0.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Adrian Bunk <bunk@fs.tum.de>  Thu, 15 Nov 2001 22:24:38 +0100

patchutils (0.1.5-1) unstable; urgency=low

  * New upstream release.

 -- Adrian Bunk <bunk@fs.tum.de>  Sat, 27 Oct 2001 00:39:27 +0200

patchutils (0.1.4-1) unstable; urgency=low

  * New upstream release.

 -- Adrian Bunk <bunk@fs.tum.de>  Thu, 18 Oct 2001 08:16:34 +0200

patchutils (0.1.3-1) unstable; urgency=low

  * New upstream release.
    - This release supports gzip-ed files. (closes: #96184)

 -- Adrian Bunk <bunk@fs.tum.de>  Tue, 16 Oct 2001 22:09:56 +0200

patchutils (0.1.2-1) unstable; urgency=low

  * New upstream release.
    - This release includes the fix to let patchutils compile
      on alpha. (closes: #110342)

 -- Adrian Bunk <bunk@fs.tum.de>  Fri, 21 Sep 2001 13:25:57 +0200

patchutils (0.1.1-1) unstable; urgency=low

  * New upstream release.
  * Upstream changed the name of the package because it does now
    include extractdiff (although renamed to filterdiff).

 -- Adrian Bunk <bunk@fs.tum.de>  Sun, 27 May 2001 20:21:37 +0200

interdiff (0.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Adrian Bunk <bunk@fs.tum.de>  Sun, 22 Apr 2001 22:48:40 +0200

interdiff (0.0.10-2) unstable; urgency=low

  * Use "mkdir -p" instead of "mkdirhier" in debian/rules.
    (closes: #88128)
  * Don't run the tests when building the package.
  * Standards-Version: 3.5.2 (no changes)

 -- Adrian Bunk <bunk@fs.tum.de>  Sat,  3 Mar 2001 01:09:11 +0100

interdiff (0.0.10-1) unstable; urgency=low

  * New upstream release.

 -- Adrian Bunk <bunk@fs.tum.de>  Sat, 24 Feb 2001 11:21:44 +0100

interdiff (0.0.9-1) unstable; urgency=low

  * New upstream release.
  * This version works with zsh's <() construct. (closes: #72072)
  * Standards-Version: 3.2.1
  * Upload sponsored by Tony Mancill <tmancill@debian.org>.

 -- Adrian Bunk <bunk@fs.tum.de>  Sun,  5 Nov 2000 12:26:37 +0100

interdiff (0.0.8-1) unstable; urgency=low

  * New upstream release.
  * Upload sponsored by Tony Mancill <tmancill@debian.org>.

 -- Adrian Bunk <bunk@fs.tum.de>  Tue,  8 Aug 2000 14:28:53 +0200

interdiff (0.0.7-1) unstable; urgency=low

  * Initial Release. (closes: #68582)
  * Upload sponsored by Tony Mancill <tmancill@debian.org>.

 -- Adrian Bunk <bunk@fs.tum.de>  Sat,  5 Aug 2000 23:59:19 +0200
